/*
 * lang.h - Things lang.l and lang.y export
 *
 * Copyright 2012 by Werner Almesberger
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */


#ifndef LANG_H
#define	LANG_H

void parse_hierarchy(const char *name);
void parse_characteristics(const char *name);
void parse_inventory(const char *name);
void parse_currencies(const char *name);
void parse_providers(const char *name);

void yywarnf(const char *fmt, ...);
void yyerrorf(const char *fmt, ...);
void yyerror(const char *s);

#endif /* !LANG_H */
